[![PyPI version](https://badge.fury.io/py/bento-tools.svg)](https://badge.fury.io/py/bento-tools)
[![codecov](https://codecov.io/gh/ckmah/bento-tools/branch/master/graph/badge.svg?token=XVHDKNDCDT)](https://codecov.io/gh/ckmah/bento-tools)
[![Documentation Status](https://readthedocs.org/projects/bento-tools/badge/?version=latest)](https://bento-tools.readthedocs.io/en/latest/?badge=latest)
![PyPI - Downloads](https://img.shields.io/pypi/dm/bento-tools)
[![GitHub stars](https://badgen.net/github/stars/ckmah/bento-tools)](https://GitHub.com/Naereen/ckmah/bento-tools) 


<img src="docs/source/_static/bento-name.png" alt="Bento Logo" width=350>

Bento is a Python toolkit for performing subcellular analysis of spatial transcriptomics data.

# Get started
Install with Python 3.8 or 3.9:
```bash
pip install bento-tools
```

Check out the [documentation](https://bento-tools.readthedocs.io/en/latest/) for the installation guide, tutorials, API and more! Read and cite [our preprint](https://doi.org/10.1101/2022.06.10.495510) if you use Bento in your work.


# Main Features

<img src="docs/source/_static/tutorial_img/bento_workflow.png" alt="Bento Analysis Workflow" width=800>


- Store molecular coordinates and segmentation masks
- Visualize spatial transcriptomics data at subcellular resolution
- Compute subcellular spatial features
- Predict localization patterns and signatures
- Factor decomposition for high-dimensional spatial feature sets

---
[![GitHub license](https://img.shields.io/github/license/ckmah/bento-tools.svg)](https://github.com/ckmah/bento-tools/blob/master/LICENSE)
